Subject: bug#17589: 24.3.91; lisp/frameset.el

From: Juanma Barranquero <[email-masked]>
Date: Mon, 26 May 2014 21:04:07 +0200

On Mon, May 26, 2014 at 7:49 PM, Arash Cue <[email-masked]> wrote:

> sry, now i noticed it only happens when different files with the same name
> opened in each frame...

Interesting.

Saving a frame configuration to a register really does a very
low-level saving of the frame, so I suppose it keeps pointers to the
buffers even if they are renamed.

Framesets (or, really, window states) on the other hand, save the
buffer *names*. So if you rename a buffer, as it happens when you
visit another file with the same name, the frameset's window state
loses the reference to the original buffer.

As framesets used in frameset-to-register (C-x r f R) are intended for
in-session use only, I suppose I could hook into uniquify or some
other hook and dynamically alter the in-memory frameset(s), but it
seems quite hackish. I'll have to think about it.

    J